/*
This example takes a temperature map as input
and gives the corresponding power density map
*/

#include <stdio.h>
#include "stimul.h"

#define NX 180
#define NY 230
#define WIDTH 0.1
#define CHIPX 0.00811
#define CHIPY 0.01036
#define AMBIENT 26.112

int main()
{
  int i,j;
  FILE *ft = fopen("inputs/temperature_map","r");
  stml_grid *g = stml_grid_new(NX,NY);
  stml_stack *s = stml_stack_new();

  stml_grid_set(g,0);
  for (j=NY-1; j>=0; j--) {
    for (i=0; i<NX; i++) {
      fscanf(ft,"%lf",&g->v[i][j]);
    }
  }
  fclose(ft);

  stml_stack_start(s,CHIPX,CHIPY,NX,NY,g,0,"ML1");
  stml_stack_add(s,WIDTH,WIDTH,NX,NY,0,0,"ML2");
  stml_stack_slab(s,"ML1",5e-4,129.16);
  stml_stack_interface(s,"ML1",3.33e4);
  stml_stack_slab(s,"ML2",1e-3,400);
  stml_stack_finalize(s,NULL,AMBIENT);
  stml_stack_solve(s,1e-3);
  stml_stack_solution(s,"ML1","top",g);
  stml_grid_print(g);

  stml_grid_free(g);
  stml_stack_free(s);
}

